<?xml version="1.0" encoding="utf-8"?>
<!--
  Licensed Materials - Property of IBM
  IBM WebSphere DataPower Appliances
  Copyright IBM Corporation 2007. All Rights Reserved.
  US Government Users Restricted Rights - Use, duplication or disclosure
  restricted by GSA ADP Schedule Contract with IBM Corp.
-->

<!--
    This was the default transform for xslproxy and xmlfirewall objects.
-->

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:dp="http://www.datapower.com/extensions"
    xmlns:date="http://exslt.org/dates-and-times"
    xmlns:dpconfig="http://www.datapower.com/param/config"
    extension-element-prefixes="dp date"
    exclude-result-prefixes="dp dpconfig date"
>

  <xsl:output method="xml"/>


  <xsl:template match="/">
    <debits xmlns:bank="http://bank.com">
       <xsl:apply-templates />
    </debits>

  </xsl:template>

  <xsl:template match="customer">
  </xsl:template>

  <xsl:template match="charge">
     <charge>
     <account><xsl:value-of select="/statement/customer" /></account>
     <xsl:copy-of select="./date" />
     <xsl:copy-of select="./vendor" />
     <xsl:copy-of select="./amount" />
     </charge>
   </xsl:template>


</xsl:stylesheet>
